API ReferenceapicommsPOST /v1/inbox/{user_id}/bulk-archive

POST /v1/inbox/\{user_id\}/bulk-archive

Service: comms · operationId: (none)

Archive multiple inbox items.

Required scopes

(no scope declared — review service config)

Path parameters

  • user_id (string) required

Request body

{
  "type": "object",
  "properties": {
    "ids": {
      "type": "array",
      "items": {
        "type": "string",
        "format": "uuid"
      },
      "minItems": 1,
      "maxItems": 100
    }
  },
  "required": [
    "ids"
  ]
}

Responses

200 Items archived

{
  "type": "object",
  "properties": {
    "updated": {
      "type": "integer"
    }
  },
  "required": [
    "updated"
  ]
}

422 Validation error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://comms.platform.loop.health/v1/inbox/{user_id}/bulk-archive \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'